Package it.ernytech.tdlib

## Class TdApi.DeviceTokenApplePushVoIP

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.DeviceToken
    - - it.ernytech.tdlib.TdApi.DeviceTokenApplePushVoIP

Enclosing class:
  TdApi

    public static class TdApi.DeviceTokenApplePushVoIP
    extends TdApi.DeviceToken

A token for Apple Push Notification service VoIP notifications.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `deviceToken` Device token, may be empty to de-register a device.
`boolean` `isAppSandbox` True, if App Sandbox is enabled.

### Constructor Summary

Constructors
`DeviceTokenApplePushVoIP()` Default constructor.
`DeviceTokenApplePushVoIP​(java.lang.String deviceToken, boolean isAppSandbox)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### deviceToken

    public java.lang.String deviceToken

Device token, may be empty to de-register a device.

#### isAppSandbox

    public boolean isAppSandbox

True, if App Sandbox is enabled.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### DeviceTokenApplePushVoIP

    public DeviceTokenApplePushVoIP()

Default constructor.

#### DeviceTokenApplePushVoIP

    public DeviceTokenApplePushVoIP​(java.lang.String deviceToken,
                                    boolean isAppSandbox)

Constructor for initialization of all fields.

Parameters:
  `deviceToken` - Device token, may be empty to de-register a device.
  `isAppSandbox` - True, if App Sandbox is enabled.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR